package com.koobietech.eas.dao.mapper;

import com.koobietech.eas.dao.pojo.DepartmentPojo;
import com.koobietech.eas.dao.pojo.PermissionPojo;
import com.koobietech.eas.dao.pojo.UserDetailPojo;

import java.util.List;

/**
 * @author lc
 */
public interface AdminLoginMapper {
    List<PermissionPojo> getUserPermissionsById(Long adminId);

    List<DepartmentPojo> getUserDepartmentsById(Long adminId);

    UserDetailPojo getUserDetailById(Long adminId);

    List<PermissionPojo> getStudentPermissionsById(Long adminId);

    List<DepartmentPojo> getStudentDepartmentsById(Long adminId);

    UserDetailPojo getStudentDetailById(Long adminId);

}
